Bug 633859 (CVE-2010-3708) - CVE-2010-3708 JBoss drools deserialization remote code execution
Summary: CVE-2010-3708 JBoss drools deserialization remote code execution
Status: CLOSED ERRATA
Alias: CVE-2010-3708
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=redhat,public...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-14 14:43 UTC by Marc Schoenefeld
Modified: 2019-06-08 13:06 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-10-30 23:48:02 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-5180 Critical Closed Apply drools 4.0.7 fix 2019-05-07 15:40 UTC
JBoss Issue Tracker JBPAPP-5226 Critical Closed Apply drools 3.0.5 fix 2019-05-07 15:40 UTC
Red Hat Product Errata RHSA-2010:0937 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 4.3.0.CP09 update 2010-12-01 23:15:38 UTC
Red Hat Product Errata RHSA-2010:0938 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 4.3.0.CP09 update 2010-12-01 23:36:19 UTC
Red Hat Product Errata RHSA-2010:0939 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 4.3.0.CP09 update 2010-12-01 23:51:51 UTC
Red Hat Product Errata RHSA-2010:0940 normal SHIPPED_LIVE Important: JBoss Enterprise SOA Platform 4.2 and 4.3 security update 2010-12-02 00:02:08 UTC
JBoss Issue Tracker SOA-2319 Critical Closed Apply drools 4.0.7 fix 2019-05-07 15:40 UTC

Description Marc Schoenefeld 2010-09-14 14:43:33 UTC
The drools serialization format allows to embed class files. 
Upon deserialization those are loaded by the VM that runs 
the drools engine. If that (attacker-controlled) class files
defines code in a static initializer it is executed during
deserialization.

Comment 38 errata-xmlrpc 2010-12-01 23:15:54 UTC
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 4

Via RHSA-2010:0937 https://rhn.redhat.com/errata/RHSA-2010-0937.html

Comment 39 errata-xmlrpc 2010-12-01 23:36:31 UTC
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 5

Via RHSA-2010:0938 https://rhn.redhat.com/errata/RHSA-2010-0938.html

Comment 40 errata-xmlrpc 2010-12-01 23:52:02 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 4.3.0

Via RHSA-2010:0939 https://rhn.redhat.com/errata/RHSA-2010-0939.html

Comment 41 errata-xmlrpc 2010-12-02 00:02:12 UTC
This issue has been addressed in following products:

  JBoss Enterprise SOA Platform 4.2
  JBoss Enterprise SOA Platform 4.3

Via RHSA-2010:0940 https://rhn.redhat.com/errata/RHSA-2010-0940.html


Note You need to log in before you can comment on or make changes to this bug.